<?php

namespace Drupal\comment_auto_approve;

use Drupal\comment\CommentInterface;

/**
 * Interface of Comment Auto Approve handling helper service.
 */
interface CommentAutoApproveInterface {

  /**
   * Amount of comments to manual approve: Count local (comments per field qty).
   */
  const LIMIT_LOCAL = 'local';

  /**
   * Amount of comments to manual approve: Count global (all comments qty).
   */
  const LIMIT_GLOBAL = 'global';

  /**
   * Approve comment if it should be approved.
   *
   * @param \Drupal\comment\CommentInterface $comment
   *   Comment to pre process.
   */
  public function preProcessComment(CommentInterface $comment);

  /**
   * Check is approvement needed for requested comment.
   *
   * @param \Drupal\comment\CommentInterface $comment
   *   Comment to check.
   *
   * @return bool
   *   Is approvement needed for requested comment.
   */
  public function isToApprove(CommentInterface $comment);

}
